Tool [All versions][Win/Linux] ModPackHelper

Discussion in 'Starbound Modding' started by Dolan, Feb 16, 2015.

  1. PeppehGreens

    PeppehGreens Space Spelunker

    That's how I have it though :/
     
  2. Mackinz

    Mackinz The End of Time

    Please double-check. Post a screenshot of your mods folder, even.
     
  3. PeppehGreens

    PeppehGreens Space Spelunker

  4. Mackinz

    Mackinz The End of Time

    Two things - 1. Get ridof the deprecated modinfo file.

    2. Use ModPackHelper v.10, not 0.9a.
     
  5. PeppehGreens

    PeppehGreens Space Spelunker

  6. Mackinz

    Mackinz The End of Time

    Try renaming .metadata to _metadata.
     
  7. PeppehGreens

    PeppehGreens Space Spelunker

    same thing
     
  8. Mackinz

    Mackinz The End of Time

    What is inside your metadata file?
     
  9. PeppehGreens

    PeppehGreens Space Spelunker

    "author" : "Echo",
    "description" : "CentaursEverywhere!",
    "friendlyName" : "CentaurRace",
    "link" : "",
    "name" : "CentaurRace",
    "path" : ".",
    "steamContentId" : "",
    "version" : "Starbound 1.0 - Stable (Mod Version 0.5)"
    }
     
  10. PeppehGreens

    PeppehGreens Space Spelunker

    I was really hoping to release the beta of my mod today xD
     
  11. Mackinz

    Mackinz The End of Time

    Are you running the most up-to-date version of the game?

    Edit: I just did a quick test of a freshly downloaded copy of MPH v0.10 and I couldn't pack any of my mods. However, using the older version of MPH v0.10 I can. I think something got messed up, @Dolan.

    In the meantime, here's the old version of MPH which works with mods containing _metadata only:
     

    Attached Files:

    Last edited: Aug 22, 2016
  12. PeppehGreens

    PeppehGreens Space Spelunker

    I have a new error now xD



    Sun 08/21/2016 20:33:09.39
    Exception caught: (JsonParsingException) Error parsing json: unexpected end of stream parsing object. at 7:20
    [0] 10f568a
    [1] 10f44b8
    [2] 10d1d37
    [3] 10d715e
    [4] 10f6560
    [5] 10aa7e5
    [6] 10fd91c
    [7] 74ae62c4 BaseThreadInitThunk
    [8] 77ad0609 RtlSubscribeWnfStateChangeNotification
    [9] 77ad05d4 RtlSubscribeWnfStateChangeNotification
     
  13. decoy26517

    decoy26517 Intergalactic Tourist

    All I get when I try to run the bat is "the syntax of the command is incorrect".

    Anything special i need to do to get it to run?
     
  14. PeppehGreens

    PeppehGreens Space Spelunker

    Any fixes yet?
     
  15. KaelemGaen

    KaelemGaen Void-Bound Voyager

    Looks like for whatever reason one of the download links actually has some HTML in it that shouldn't be there.
     
  16. PeppehGreens

    PeppehGreens Space Spelunker

    I FORGOT the } at the end of my _metadata.
     
  17. redfoxj

    redfoxj Void-Bound Voyager

    I'm having trouble using this. I'm trying to unpack a mod and the options to unpack it are shown. However, the program closes and I have no idea where the mod files go. I've tried putting it in a Desktop folder to see if it would run without being in the Starbound directories. Still no luck. Any advice?
     
  18. Dolan

    Dolan Big Damn Hero

    Hi redfoxj, the .bat file (or .sh if you are on Linux) needs to be in "Starbound/mods" folder because it is looking upper for the files "win32/asset_unpacker.exe".
    You could get more info about what's going wrong by opening the log file "ModPackHelper.log" (Located at the same place than ModPackHelper_v0.10.bat).
    Also be sure to use the latest file from my dropbox account. I changed some tiny thing in the version 0.10 without moving the version number (Latest was done on August 14th)


    Edit : I updated the script to v0.11. Fixed the packing problem. Hope this one would fixe all troubles people had.
     
    Last edited: Oct 23, 2016
  19. Awbawlisk

    Awbawlisk Subatomic Cosmonaut

    I have the .exe in my "Starbound/mods" folder and the v0.10 version just can't seem to locate any of the mods in that directory whenever I'm trying to find a mod to pack. I would use the v0.11 version of the mod as it seems to pick up the mods in my folder that I'm trying to pack, but... Like Mr. RedfoxJ over here, THE PROGRAM JUST KEEPS CLOSING ON ME WITHOUT ANY EVEN GIVING ME ANY HINT AS TO WHAT HAPPENED IN THE LOG FILE. In fact, it DOESN'T create a log file; all it does is leave you BLIND.

    Just what is the problem?? Is it just me? This is frustrating me more than I imagined.
     
  20. Dolan

    Dolan Big Damn Hero

    To see why the program is closing do that :
    - Navigate to your Starbound folder
    - Press "Shift" and do a right click on the "mods" folder
    - Select the "open in command prompt" (It will open a new prompt windows and the path would be "C:\.<my_path>\Starbound\mods"
    - Type "ModPackHelper_v0.11.bat" and press Enter (It will launch the bat and keep the prompt open with the error message)
     

Share This Page